Ouessant : PowerAI previous default versions

The previous PowerAI version, v. 3.4, is also available: The scalability of the calculations is limited to the 4 GPUs of a single node with this previous version. The available frameworks for memory are as follows:

To use the PowerAI v3.4 in place of the current version, it is necessary to launch, in interactive, the command

module load powerai/3.4

instead of

module load powerai

before submitting your job with LoadLeveler.

The following is a job canvas to customise in function of the framework you use:

job
# PowerAI
#BSUB -app docker
# Name of job
#BSUB -J monJob
# Output and error file, the same file here
#BSUB -e %J.sortie
#BSUB -o %J.sortie
# Exclusive node reservation 
#BSUB -x
# Number of MPI tasks
#BSUB -n 4
# Binding
#BSUB -a p8aff(1,1,1,balance)
# Number of gpu
#BSUB -gpu "num=4:mode=exclusive_process:mps=no:j_exclusive=yes"
# Number of MPI tasks per node
#BSUB -R "span[ptile=4]
# Maximum job duration (1 minute)
#BSUB -W 01:00
 
set -x
source /opt/DL/<framework>/bin/<framework>-activate

For more information, with examples of submission scripts and GPU selection, please consult this page. The control commands of the jobs are described here.